<?php
  function dzienTygodnia($day, $month, $year)
  {
    $time = mktime(0, 0, 0, $month, $day, $year);
    $dzienTygodnia = date("w", $time);

    switch($dzienTygodnia){
      case 0 : $dzienTygodnia = "niedziela"; break;
      case 1 : $dzienTygodnia = "poniedziałek"; break;
      case 2 : $dzienTygodnia = "wtorek"; break;
      case 3 : $dzienTygodnia = "środa"; break;
      case 4 : $dzienTygodnia = "czwartek"; break;
      case 5 : $dzienTygodnia = "piątek"; break;
      case 6 : $dzienTygodnia = "sobota"; break;
    }
    return $dzienTygodnia;
  }

  $dzien = dzienTygodnia(12, 1, 2018);

  echo "12 stycznia 2018 to $dzien.";
?>
